Bug 475061 - bad menu entry
bad menu entry
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: iok (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-07 00:49 EST by Matthias Clasen
Modified: 2009-09-21 17:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-19 04:45:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2008-12-07 00:49:03 EST
"iok" is not a very helpful menu entry. "Indic Onscreen Keyboard" is much better. 
A simple way to get there is to pass the --copy-generic-name-to-name option to desktop-file-install.

While looking at the desktop file, Icon=iok.png  will give you a warning from desktop-file-install. The correct way to specify the icon is to strip the extension: Icon=iok.

The comment "Indic onscreen virtual keyboard for Indic Inscript maps." has some flaws:
- it ends with a period
- it repeats Indic
- it repeats the generic name, more or less
A better comment might be:
"Enter Indic characters with a virtual keyboard"
Comment 1 Parag Nemade 2008-12-08 03:28:12 EST
Fixed all locally. Thanks for pointing above issues.
Comment 2 Parag Nemade 2008-12-19 04:45:00 EST
Fixed in rawhide iok-1.0.9-1.fc11

Note You need to log in before you can comment on or make changes to this bug.